FruxonDocs
ApiAgentassetestimate

Estimates token count for Google Drive files before ingestion.

POST
/v1/tenants/{tenant}/agents/{agent}/assets:google-drive-estimate

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

Google Drive connection details and file or folder ID.

fileIds?|null

Google Drive file IDs to estimate. Provide either FileIds or FolderId.

folderId?string|null

Google Drive folder ID; all files inside will be estimated. Provide either FileIds or FolderId.

refreshToken*string

OAuth2 refresh token for Google Drive access

Length1 <= length
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets:google-drive-estimate" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "string"  }'
{
  "tokenCount": 0,
  "chunkCount": 0,
  "documentCount": 0,
  "documents": [
    {
      "fileName": "string",
      "tokenCount": 0,
      "chunkCount": 0
    }
  ]
}
Empty
Empty